Loading...
Searching...
No Matches
Halide::Runtime::Internal::Synchronization::hash_bucket Struct Reference

`#include <synchronization_common.h>`

## Public Attributes

word_lock | mutex
queue_data * | head = nullptr
queue_data * | tail = nullptr

## Detailed Description

Definition at line 314 of file synchronization_common.h.

## Member Data Documentation

## mutex

word_lock Halide::Runtime::Internal::Synchronization::hash_bucket::mutex

Definition at line 315 of file synchronization_common.h.

Referenced by Halide::Runtime::Internal::Synchronization::lock_bucket(), Halide::Runtime::Internal::Synchronization::lock_bucket_pair(), Halide::Runtime::Internal::Synchronization::parking_control::park(), Halide::Runtime::Internal::Synchronization::unlock_bucket_pair(), and Halide::Runtime::Internal::Synchronization::parking_control::unpark_one().

## head

queue_data* Halide::Runtime::Internal::Synchronization::hash_bucket::head = nullptr

Definition at line 317 of file synchronization_common.h.

Referenced by Halide::Runtime::Internal::Synchronization::parking_control::park(), Halide::Runtime::Internal::Synchronization::parking_control::unpark_one(), and Halide::Runtime::Internal::Synchronization::parking_control::unpark_requeue().

## tail

queue_data* Halide::Runtime::Internal::Synchronization::hash_bucket::tail = nullptr

Definition at line 318 of file synchronization_common.h.

Referenced by Halide::Runtime::Internal::Synchronization::parking_control::park(), Halide::Runtime::Internal::Synchronization::parking_control::unpark_one(), and Halide::Runtime::Internal::Synchronization::parking_control::unpark_requeue().

The documentation for this struct was generated from the following file:

- src/runtime/synchronization_common.h